Gtk2::UIManager(3)

NAME
Gtk2::UIManager - wrapper for GtkUIManager

HIERARCHY
  Glib::Object
  +----Gtk2::UIManager

INTERFACES
  Gtk2::Buildable

METHODS

  uimanager = Gtk2::UIManager->new

  integer = $self->new_merge_id

  accelgroup = $self->get_accel_group

  action = $self->get_action ($path)

•   $path (string)

  list = $self->get_action_groups

  boolean = $self->get_add_tearoffs

  $self->set_add_tearoffs ($add_tearoffs)

•   $add_tearoffs (boolean)

  $self->add_ui ($merge_id, $path, $name, $action, $type, $top)

•   $merge_id (integer)

•   $path (string)

•   $name (string)

•   $action (string or undef)

•   $type (Gtk2::UIManagerItemType)

•   $top (boolean)

  integer = $self->add_ui_from_file ($filename)

•   $filename (string)

May croak with a Glib::Error in $@ on failure.

  integer = $self->add_ui_from_string ($buffer)

•   $buffer (string)

May croak with a Glib::Error in $@ on failure.

  $self->ensure_update

  $self->insert_action_group ($action_group, $pos)

•   $action_group (Gtk2::ActionGroup)

•   $pos (integer)

  $self->remove_action_group ($action_group)

•   $action_group (Gtk2::ActionGroup)

  $self->remove_ui ($merge_id)

•   $merge_id (integer)

  list = $self->get_toplevels ($types)

•   $types (Gtk2::UIManagerItemType)

  string = $self->get_ui

  widget = $self->get_widget ($path)

•   $path (string)

PROPERTIES

'add-tearoffs' (boolean : default false : readable / writable / private)
    Whether tearoff menu items should be added to menus

'ui' (string : default "<ui>\n</ui>\n" : readable / private)
    An XML string describing the merged UI

SIGNALS

actions-changed (Gtk2::UIManager)
add-widget (Gtk2::UIManager, Gtk2::Widget)
connect-proxy (Gtk2::UIManager, Gtk2::Action, Gtk2::Widget)
disconnect-proxy (Gtk2::UIManager, Gtk2::Action, Gtk2::Widget)
post-activate (Gtk2::UIManager, Gtk2::Action)
pre-activate (Gtk2::UIManager, Gtk2::Action)

ENUMS AND FLAGS

  flags Gtk2::UIManagerItemType

•   'auto' / 'GTK_UI_MANAGER_AUTO'

•   'menubar' / 'GTK_UI_MANAGER_MENUBAR'

•   'menu' / 'GTK_UI_MANAGER_MENU'

•   'toolbar' / 'GTK_UI_MANAGER_TOOLBAR'

•   'placeholder' / 'GTK_UI_MANAGER_PLACEHOLDER'

•   'popup' / 'GTK_UI_MANAGER_POPUP'

•   'menuitem' / 'GTK_UI_MANAGER_MENUITEM'

•   'toolitem' / 'GTK_UI_MANAGER_TOOLITEM'

•   'separator' / 'GTK_UI_MANAGER_SEPARATOR'

•   'accelerator' / 'GTK_UI_MANAGER_ACCELERATOR'

•   'popup-with-accels' / 'GTK_UI_MANAGER_POPUP_WITH_ACCELS'

SEE ALSO
Gtk2, Glib::Object

COPYRIGHT
Copyright (C) 2003-2011 by the gtk2-perl team.

This software is licensed under the LGPL. See Gtk2 for a full notice.